# Generated from foreman_kubevirt-0.1.2.gem by gem2rpm -*- rpm-spec -*-
# template: foreman_plugin
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name foreman_kubevirt
%global plugin_name kubevirt
%global foreman_min_version 1.22.0

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.1.5.2
Release: 1%{?foremandist}%{?dist}
Summary: Provision and manage Kubevirt Virtual Machines from Foreman
Group: Applications/Systems
License: GPLv3
URL: https://github.com/theforeman/foreman_kubevirt
Source0: http://dogfood.sat.engineering.redhat.com/pulp/isos/Sat6-CI/Library/custom/Source_Files/Satellite_6_6_Source_Files/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: foreman >= %{foreman_min_version}
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby
Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(fog-kubevirt) >= 1.3
Requires: %{?scl_prefix}rubygem(fog-kubevirt) < 2
BuildRequires: foreman-assets >= %{foreman_min_version}
BuildRequires: foreman-plugin >= %{foreman_min_version}
BuildRequires: %{?scl_prefix}rubygem(fog-kubevirt) >= 1.3
BuildRequires: %{?scl_prefix}rubygem(fog-kubevirt) < 2
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}ruby
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
Provides: foreman-plugin-%{plugin_name} = %{version}
# end specfile generated dependencies

%description
Provision and manage Kubevirt Virtual Machines from Foreman.


%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file
%foreman_precompile_plugin -a -s

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/locale
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_plugin}
%{foreman_apipie_cache_foreman}
%{foreman_apipie_cache_plugin}
%{foreman_assets_plugin}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%posttrans
%{foreman_apipie_cache}
%{foreman_restart}
exit 0

%changelog
* Wed Sep 25 2019 Jenkins User <jenkins-gitlab@redhat.com> - 0.1.5.2-1
- BZ #1754864 - revert volume validations in CP for kubevirt

* Mon Jul 01 2019 Zach Huntington-Meath <zhunting@redhat.com> 0.1.5-1
- Update to 0.1.5
- BZ #1700769 - [Kubevirt-Foreman] PVC size has no validation
- BZ #1714537 - [Kubevirt-Foreman] Exception with 'refresh_cache'
- BZ #1728671 - There was an error listing VMs: undefined method `boot_order' for nil:NilClass
- BZ #1731373 - Can't update token 
- BZ #1737418 - [Kubevirt-Foreman] Compute profile edit form has no validation for Storage size
- BZ #1738472 - [Kubevirt-Foreman] Host creation via API ignores CPUs count specified in request

* Mon Jul 01 2019 Shira Maximov <shiramaximov@gmail.com> 0.1.4-1
- Update to 0.1.4

* Wed May 15 2019 Moti Asayag <masayag@redhat.com> 0.1.3-1
- Update to 0.1.3

* Tue Apr 30 2019 Moti Asayag <masayag@redhat.com> 0.1.2-1
- Add rubygem-foreman_kubevirt generated by gem2rpm using the foreman_plugin template
